const { http } = uni.$u

console.info(http)
// 获取菜单
export const fetchMenu = (params, config = {}) => http.post('/ebapi/public_api/index', params, config)


/**
 * 登录的接口
 */
// 微信登录接口
export const wxLogin = (params) => http.get('/api/login/login', {params:params})

// 微信登录接口
export const appletLogin = (params) => http.get('/carrent-admin/api/login/login', {params:params})
// 用户信息
export const getInfo = (params) => http.post('/carrent-admin/api/user/queryUser', params)
// 用户注册
export const addUser = (params) => http.post('/carrent-admin/api/user/addUser', params)
// 企业注册
export const addCompany = (params) => http.post('/carrent-admin/api/company/addCompany', params)

// 商品信息-获取商品列表
export const queryGoodsList = (params) => http.get('/carrent-admin/api/goods/queryGoodsList',  {params:params})

// 商品信息-根据id获取商品详情
export const queryGoodsById = (params) => http.get('/carrent-admin/api/goods/queryGoodsById', {params:params})

// 新闻资讯-获取新闻列表
export const queryNewsList = (params) => http.get('/carrent-admin/api/news/queryNewsList', {params:params})
// 新闻资讯-根据id获取新闻详情
export const queryNewsById = (params) => http.get('/carrent-admin/api/news/queryNewsById', {params:params})
// 寻车申请-添加申请
export const addApply = (params) => http.get('/carrent-admin/api/apply/addApply', {params:params})
// 寻车申请-申请列表
export const queryApplyList = (params) => http.get('/carrent-admin/api/apply/queryApplyList', {params:params})



// 配置信息-获取关于我们
export const queryAboutus = (params) => http.get('/carrent-admin/api/config/queryAboutus', {params:params})
// 配置信息-获取用户协议
export const queryAgreement = (params) => http.get('/carrent-admin/api/config/queryAgreement', {params:params})
// 配置信息-获取在线客服电话
export const queryPhone = (params) => http.get('/carrent-admin/api/config/queryPhone', {params:params})
// 配置信息-获取隐私政策
export const queryPrivacy = (params) => http.get('/carrent-admin/api/config/queryPrivacy', {params:params})
// 配置信息-获取商品类型列表
export const queryTypeList = (params) => http.get('/carrent-admin/api/config/queryTypeList', {params:params})


// 车辆预约-提交预约信息
export const addOrder = (params) => http.post('/carrent-admin/api/order/addOrder', params)
// 车辆预约-车辆预约列表
export const queryOrderList = (params) => http.get('/carrent-admin/api/order/queryOrderList', {params:params})

// 商品信息-车辆信息发布
export const addGoods = (params) => http.post('/carrent-admin/api/goods/addGoods', params)


